Subject: [Anima] FW: New Version Notification for draft-behringer-anima-reference-model-03.txt

From: "Michael Behringer (mbehring)" <[email-masked]>
Date: Tue, 30 Jun 2015 11:50:30 +0000

This is the latest version, taking into account all the text I received (or that was directly added on github). 

Look at the delta: 
https://www.ietf.org/rfcdiff?url1=draft-behringer-anima-reference-model-02&url2=draft-behringer-anima-reference-model-03

The important changes are: 

- the new section on naming, from Bing. 
- text for the sections on discovery, signalling, and intent distribution. 
- I moved the entire draft-behringer-autonomic-addressing into the reference model. Sheng pointed out that the addressing draft isn't a chartered WG draft, and he suggested to merge with an existing document, if we want to discuss it in Prague. 
- I shortened the ACP section (a bit), because that text should really go into the ACP draft. (update on that one, shortly!)
- sections 7.5., 7.6., 7.7. are new from John. 
- section 7.4 is overlapping somewhat with the new section 7.5 from John, should be merged, but I didn't get to that yet. 
- I took out the old section 9 (Hybrid Approach with Non-Autonomic Functions (*)), since that is really covered in RFC7575. 

Note that all new sections are for discussion, they do not represent consensus at this point. Some discussions are not yet reflected in the document.

On github (https://github.com/mbehring/ANIMA-Reference-Model) I have deleted *-03 (xml and txt), because those are now on tools.ietf.org. the xml and txt file without version number are identical to the posted version. 
All new changes: to draft-behringer-anima-reference-model.xml, please!

Further contributions: 
- Either mail me (text *with* XML tags, please!) 
- Or contribute directly on github 

Thanks to all who contributed! Looking forward to a lively discussion in Prague.
Michael

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: 30 June 2015 12:05
> To: Laurent Ciavaglia; Jeferson Campos Nobre; Bing Liu; Toerless Eckert
> (eckert); Michael Behringer (mbehring); Brian E. Carpenter; Laurent
> Ciavaglia; John Strassner; Michael Behringer (mbehring); Bing Liu; Brian
> Carpenter; Jeferson Campos Nobre; Toerless Eckert (eckert); John Strassner
> Subject: New Version Notification for draft-behringer-anima-reference-
> model-03.txt
> 
> 
> A new version of I-D, draft-behringer-anima-reference-model-03.txt
> has been successfully submitted by Michael H. Behringer and posted to the
> IETF repository.
> 
> Name:		draft-behringer-anima-reference-model
> Revision:	03
> Title:		A Reference Model for Autonomic Networking
> Document date:	2015-06-30
> Group:		Individual Submission
> Pages:		29
> URL:            https://www.ietf.org/internet-drafts/draft-behringer-anima-
> reference-model-03.txt
> Status:         https://datatracker.ietf.org/doc/draft-behringer-anima-
> reference-model/
> Htmlized:       https://tools.ietf.org/html/draft-behringer-anima-reference-
> model-03
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-behringer-anima-
> reference-model-03
> 
> Abstract:
>    This document describes a reference model for Autonomic Networking.
>    The goal is to define how the various elements in an autonomic
>    context work together, to describe their interfaces and relations.
>    While the document is written as generally as possible, the initial
>    solutions are limited to the chartered scope of the WG.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of
> submission until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat